Subject: third party DLL problem
From: [email-masked] (Matthew Thompson)

7 Nov 1998 08:48:54 -0800
Message-ID: <[email-masked]>
To: [email-masked]

Hi,

I attempted to post this yesterday, but apparently not successfully. Hopefully I'm not wasting bandwidth and posting twice...

Although everyone must be nauseous of reading the same DLL linking thread, let me first acknowledge that I have:
* searched the archives and read the msgs
* downloaded all the updated dlltools, pexports, etc.
* read all the FAQs
Certainly all of this has helped clear up a lot of problems, but there still remains a problem that I think is unique (even if the problem is that I am being dumb in a unique way)...

I'm writing software that utilizes a third party daq DLL. The DLL is originally written under the MSVC++ environment. When I use pexport to create a .def file, the proper object names appear in the file, but they are preceded and followed by trash characters (ie @!@@' blah). When I use this .def file the dlltool balks (even after deleting the first line that contains the dll name). Next I wrote my own .def file using the proper names w/o trash characters. After using the dlltool successfully to create libxxxx.a, I still get undefined reference errors upon linking to my sample program:
C:\WINDOWS\TEMP\cc0010021.o(.text+0x3f):test2.cc: undefined reference to `rdd_detect_RTD_boards(short, rdd_board_type_t *, short *)'

Any help would be appreciated.

TIA and regards,
Matt Thompson

-----
Free e-mail group hosting at http://www.eGroups.com/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".